Skip to content

An application asking to connect

GET
/api/v1/auth/oauth/requests/{id}
curl --request GET \
--url http://127.0.0.1:8484/api/v1/auth/oauth/requests/example
id
required
string

OK

Media typeapplication/json
object
$schema

A URL to the JSON Schema for this object.

string format: uri
clientHost

Host of that address, when verified

string
clientName
required
string
clientUri

The application’s home page, as it describes itself

string
loopback
required

The answer goes to a program on this computer

boolean
maxScope
required

The most the application asked for; the person may give less

string
Allowed values: read write
memberName
required

The application will act as this member

string
redirectHost
required

Where the browser goes after the answer

string
verified
required

The application is identified by an https address Exhale fetched; otherwise it registered itself and its name is unconfirmed

boolean

Example

{
"$schema": "https://example.com/api/schemas/OAuthRequestInfo.json",
"maxScope": "read"
}

Error

Media typeapplication/problem+json
object
$schema

A URL to the JSON Schema for this object.

string format: uri
detail

A human-readable explanation specific to this occurrence of the problem.

string
errors

Optional list of individual error details

Array<object> | null
object
location

Where the error occurred, e.g. ‘body.items[3].tags’ or ‘path.thing-id’

string
message

Error message text

string
value

The value at the given location

instance

A URI reference that identifies the specific occurrence of the problem.

string format: uri
status

HTTP status code

integer format: int64
title

A short, human-readable summary of the problem type. This value should not change between occurrences of the error.

string
type

A URI reference to human-readable documentation for the error.

string format: uri
default: about:blank

Example

{
"$schema": "https://example.com/api/schemas/ErrorModel.json",
"detail": "Property foo is required but is missing.",
"instance": "https://example.com/error-log/abc123",
"status": 400,
"title": "Bad Request",
"type": "about:blank"
}